package domain


type AlibabaWdkChannelOrderStatusUpdateOrderStatusInfo struct {
    /*
        经营店Id     */
    StoreId  *string `json:"store_id,omitempty" `

    /*
        渠道店Id     */
    ShopId  *string `json:"shop_id,omitempty" `

    /*
        外部订单号     */
    OutOrderId  *string `json:"out_order_id,omitempty" `

    /*
        订单状态   已支付： PAID；  TRADE_CLOSE（仅未支付订单）     */
    OrderStatus  *string `json:"order_status,omitempty" `

}

func (s *AlibabaWdkChannelOrderStatusUpdateOrderStatusInfo) SetStoreId(v string) *AlibabaWdkChannelOrderStatusUpdateOrderStatusInfo {
    s.StoreId = &v
    return s
}
func (s *AlibabaWdkChannelOrderStatusUpdateOrderStatusInfo) SetShopId(v string) *AlibabaWdkChannelOrderStatusUpdateOrderStatusInfo {
    s.ShopId = &v
    return s
}
func (s *AlibabaWdkChannelOrderStatusUpdateOrderStatusInfo) SetOutOrderId(v string) *AlibabaWdkChannelOrderStatusUpdateOrderStatusInfo {
    s.OutOrderId = &v
    return s
}
func (s *AlibabaWdkChannelOrderStatusUpdateOrderStatusInfo) SetOrderStatus(v string) *AlibabaWdkChannelOrderStatusUpdateOrderStatusInfo {
    s.OrderStatus = &v
    return s
}
